- Qt 6.8
- Qt GUI
- C++ Classes
- QFont
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QFont

The following members of class QFont are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` int | legacyWeight() const
`(deprecated in 6.0)` void | setLegacyWeight(int legacyWeight)

## Member Function Documentation

### `[deprecated in 6.0]` int QFont::legacyWeight() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use weight() instead.

Returns the weight of the font converted to the non-standard font weight scale used in Qt 5 and earlier versions.

Since Qt 6, the OpenType standard's font weight scale is used instead of a non-standard scale. This requires conversion from values that use the old scale. For convenience, this function may be used when porting from code which uses the old weight scale.

See also setLegacyWeight(), setWeight(), weight(), and QFontInfo.

### `[deprecated in 6.0]` void QFont::setLegacyWeight(int legacyWeight)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use setWeight() instead.

Sets the weight of the font to legacyWeight using the legacy font weight scale of Qt 5 and previous versions.

Since Qt 6, the OpenType standard's font weight scale is used instead of a non-standard scale. This requires conversion from values that use the old scale. For convenience, this function may be used when porting from code which uses the old weight scale.

Note: If styleName() is set, this value may be ignored for font selection.

See also legacyWeight(), setWeight(), weight(), and QFontInfo.